#include "BattleMgr.h"
#include <DxLib.h>
#include "Enemy.h"
#include "Player.h"

static Enemy_t  m_enemy;
static Player_t m_player;

//敵に攻撃する
void BattleMgr_AttackToEnemy(){
	Enemy_Attacked(&m_enemy);
}

//初期化
void BattleMgr_Initialize(){
	m_enemy.damage = 0;
	m_enemy.nowHP  = 1000;
	m_enemy.maxHP  = 1000;
}

//更新
void BattleMgr_Update(){
	Player_Update(&m_player);
	Enemy_Update (&m_enemy);
}

//描画
void BattleMgr_Draw(){
	Player_Draw(&m_player);
	Enemy_Draw (&m_enemy);
}
